Subject: Re: [PATCHv12 06/10] receive-pack.c: negotiate atomic push support

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 Jan 2015 16:08:51 -0800

Eric Sunshine <[email-masked]> writes:

> If it's only intended to assist automated testing, then perhaps
> control it via an environment variable rather than a configuration
> option. (See, for instance, GIT_TEST_SPLIT_INDEX or GIT_USE_LOOKUP as
> precedent.)

Note that passing environment to receive-pack is very cumbersome in
general, unless you know you will only use local transport via forked
process pair.

By the way, is USE_LOOKUP still viable these days?  I think it was
added long time ago as a knob to allow us to experiment, so that we
can decide which codepath should survive, but if nobody has done any
meaningful benchmarking since it was added, perhaps we do not need
to keep the conditionally used codepath.  We, who are too lazy to
even try it out, do not deserve its benefit even if the experimental
codepath turns out to be vastly faster.